<?php defined('BASEPATH') OR exit('No direct script access allowed');

class OT_User {

	protected static $user	= null;

	protected static $CI	= null;

	function __construct()
	{
		self::$CI	= & get_instance();
		$this->get_user_instance();
	}

	private function get_user_instance()
	{
		$type	= $this->get_request_type();

		$path	= APPPATH . 'libraries/base/OT_User_' . strtolower($type) . '.php';

		if (file_exists($path))
		{
			require_once($path);
		}

		$class	= 'OT_User_' . $type;

		$inst	= new $class();
		$inst->_load();

		
		// check user active mode
//		if (self::$user) {
//			$query = self::$CI->db->select('is_active')->from('entity_users')->where('user_id',self::$user['user_id'])->get();
//			$result = $query->row();
//			
//			if ($result && !$result->is_active)
//			{
//				self::$user= array();
//			}
//		}
	}

	private function get_request_type()
	{
		if (!empty(self::$CI->agent))
		{
			if (self::$CI->agent->is_browser())
				return 'browser';
		}

		return 'api';
	}

	public function get($property, $default = null)
	{
		if (is_array(self::$user))
		{
			if (isset(self::$user[$property]))
			{
				return self::$user[$property];				
			}
			return $default;
		}

		if (isset(self::$user->$property))
		{
			return self::$user->$property;
		}

		return $default;
	}
}
