<?php if ( ! defined('BASEPATH')) exit('No direct script access allowed');

?>
<div id="about-setting" class="box col-md-4 col-sm-4 nm">
	<div class="panel panel-primary nb">
		<div class="panel-heading dib fw" style="padding:5px 15px;">
			<h4 class="dib vam" style="margin-top:5px;"><?php echo lang('ABOUT_OUTPUTTIME'); ?></h4>
			<div class="pull-right editbox" style="visibility:hidden;">
				<button class="btn btn-default btn-sm" name="edit">
					<span class="icon-pencil"></span>&nbsp;<?php echo lang('EDIT'); ?>
				</button>
			</div>
			<div class="sep">&nbsp;</div>
		</div>
	</div>
	<div class="content">
		<div>
			<table class="table table-condensed table-noborder">
				<colgroup>
					<col style="width:120px;">
					<col>
				</colgroup>
				<tbody>
				<tr><td colspan="2"><h3 class="nm"><?php echo lang('OUTPUT_TIME'); ?></h3></td></tr>
				<?php
					$date_text = 'Valid Till';
					$exp_date = $license_details['exp_date'];
					if(!empty($license_details['plan'])) {
						if (defined('APP_EXP')) {
							switch($license_details['plan']) {
								case 'P':
										$plan_text = $license_details['plan_text'];
										$users_text = $license_details['max_users'].' Users&nbsp;<a class="blue h5 nm" target="_blank" href="'.site_url('renew').'">Add More Users</a>';
										$exp_date = $license_details['exp_date'].'&nbsp;<a class="label label-primary title cp" target="_blank" href="'.site_url('renew').'">Renew Now</a>';
									break;
								case 'T':
										$plan_text = $license_details['plan_text'].'&nbsp;<a class="label label-primary title cp" target="_blank" href="'.site_url('renew').'">Subscribe for Pro</a>';
										$users_text = $license_details['max_users'].' Users';
									break;
								case 'F':
										$plan_text = $license_details['plan_text'].'&nbsp;<a class="label label-primary title cp" target="_blank" href="'.site_url('renew').'">Subscribe for Pro</a>';
										$users_text = $license_details['max_users'].' Users';
									break;
							}
						} else {
							switch($license_details['plan']) {
								case 'P':
									$plan_text = "<span>On-Premises</span>&nbsp;<span><form action='https://www.2checkout.com/checkout/purchase' method='post' class='dib'><input type='hidden' name='sid' value='76993' /><input type='hidden' name='quantity' value='1' /><input type='hidden' name='product_id' value='69' /><input name='submit' type='submit' class='btn btn-link np' value='Renew Now!' /></form></span>";
									$users_text = $license_details['max_users'];
									$date_text = 'Support Till';
									break;
								case 'T':
									$plan_text = '<span>'.$license_details['plan_text']."</span>&nbsp;<span><form action='https://www.2checkout.com/checkout/purchase' method='post' class='dib'><input type='hidden' name='sid' value='76993' /><input type='hidden' name='quantity' value='1' /><input type='hidden' name='product_id' value='69' /><input name='submit' type='submit' class='btn btn-link np' value='Purchase License' /></form></span>";
									$users_text = $license_details['max_users'];
									break;
							}
							$exp_date	.= '&nbsp;&nbsp;<span data-bind="click:showLicPopup" class="text-primary np cp">Update License Key</span>';
						}
					} 
					
					if (!defined('APP_EXP')) { ?>
					<tr>
						<td><h4 class="nm"><?php echo lang('VERSION');?></h4></td>
						<td><h4 class="nm"><?php echo OT_VERSION; ?>&nbsp;&nbsp;<a class="blue h5 nm" href="<?php echo site_url('update'); ?>">Check for Update</a></h4></td>
					</tr>
					<tr>
						<td class="nb"><h5 class="gray nm">Registered to</h5></td>
						<td class="nb"><h5 class="gray nm"><?php echo $license_details['company_name']?></h5></td>
					</tr>
				<?php }?>
				<tr>
					<td class="nb"><h5 class="gray nm">Plan</h5></td>
					<td class="nb"><h5 class="gray nm"><?php echo $plan_text?></h5></td>
				</tr>
				<tr>
					<td><h5 class="gray nm">Max Users</h5></td>
					<td><h5 class="gray nm"><?php echo $users_text; ?></h5></td>
				</tr>
				<tr>
					<td class='nb'><h5 class="gray nm"><?php echo $date_text;?></h5></td>
					<td class='nb'><h5 class="gray nm"><?php echo $exp_date; ?></h5></td>
				</tr>
				</tbody>
			</table>
		</div>
	</div>
</div>
<div class="modal" id="update_license" tabindex="-1" role="dialog" aria-labelledby="myModalLabel" aria-hidden="true">
	<div class="modal-dialog" style="width:700px;">
		<div class="modal-content">
			<div class="modal-header">
				<h4 class="modal-title" id="myModalLabel">Update License Key <button type="button" class="close pull-right" aria-hidden="true" data-dismiss="modal">&times;</button></h4>
			</div>
			<div class="modal-body" style="min-height:70px">
				<form method="post" id="lic-form" action="<?php echo site_url('home/inactive'); ?>" class="col-md-11 np">
					<div class="input-group" id="lic-frm">
						<input type="text" class="form-control txt-sm" tabindex="1" placeholder="Your license key here" name="license_key" value="" />
						<span onclick="document.getElementById('lic-form').submit()" class="btn btn-success input-group-addon" style="color:#fff">Apply</span>
					</div>
				</form>
			</div>
		</div>
	</div>
</div>

