<?php  if ( ! defined('BASEPATH')) exit('No direct script access allowed');

	$invoice_types	= $this->config->config['invoice_types'];

	$class	= empty($class) ? '' : ' '.$class;
?>
<div id="invoicecontent" class="well container npt npl npr<?php echo $class; ?>" data-bind="with:invoice, visible:($data.user_role()!='P' && $data.user_role()!='M')" >
	<!-- ko if:parent().is_new_mode() == false -->
	<div class="pull-right transEdit" data-bind="css : { vh : is_edit_mode()==false }">
		<!-- ko if:is_edit_mode()==true -->
		<a data-bind="click:save" id="save" class="pull-left" href="javascript:;"><?php echo lang('SAVE'); ?></a>
		<span class="separator pull-left">|</span>
		<a data-bind="click:cancel" id="cancel" class="cancel pull-left" href="javascript:;"><b>X</b></a>
		<!-- /ko -->
		<!-- ko if:is_edit_mode()==false -->
		<a data-bind="click:edit" href="javascript:;" id="edit">
			<i class="icon-pencil">&nbsp;</i><?php echo lang('EDIT'); ?>
		</a>
		<!-- /ko -->
	</div>
	<!-- /ko -->
	<!-- ko if:is_edit_mode()==false -->
	<div class="container"  data-bind="event:{dblclick:edit}">
		<div class="pull-left col-md-6 np" style="margin-top:15px">
			<h4><?php echo lang('INVOICE'); ?></h4>
			<h6 data-bind="text:invoice_type_name"></h6>
		</div>
		<div class="pull-right col-md-6 np">
	<?php /* <div class="pull-left" style="margin-top:5px;">
				<div class="progress vertical pull-left" style="height: 84px;width:8px">
					<!-- ko if:invoice_prg()<=100 -->
					<div class="progress-bar progress-bar-danger" style="width:100%" data-bind="style:{height:invoice_prg()+'%'}"></div>
					<div class="progress-bar progress-bar-success" style="width:100%"></div>
					<!-- /ko -->
				</div>
			</div> */?>
			<div class="col-md-9 pull-right text-center">
				<div class="pull-right text-center sub-title" style="width:80px"><?php echo lang('UNINVOICED'); ?></div>
				<div class="clearfix"></div>
				<div class="pull-right text-center">
					<span class="h3 nm" data-bind="hours:{val:uninvoiced_hours}"></span>
					<span><?php echo lang('HRS'); ?></span>
				</div>
				<div class="clearfix"></div>
				<hr class="nm">
				<!-- <div class="border" style="margin-left:12px;margin-right:18px;">&nbsp;</div> -->
				<div class="pull-right text-center" style="margin-left:14px;">
					<span class="h3 nm" data-bind="hours:{val:invoiced_hours}"></span>
					<span><?php echo lang('HRS'); ?></span>
				</div>
				<div class="clearfix"></div>
				<div class="pull-right text-center sub-title" style="width:80px"><?php echo lang('INVOICED'); ?></div>
				<div class="clearfix"></div>
			</div>
		</div>
		<div class="clearfix"></div>
		<?php /*
		<hr class="nm">
		<!-- <div class="border">&nbsp;</div> -->
		<div style="margin:5px 0">
			<div class="pull-left text-center" style="width:48%">
				<span class="sub-title gray">
					<?php echo lang('PAID_INVOICES'); ?>(<!-- ko text:paid_invoices --><!-- /ko -->)
				</span>
				<br/>
				<h3 class="nm" style="font-weight:400;"><!-- ko text:paid_invoices_amount --><!-- /ko --><?php echo CURRENCY; ?></h3>
			</div>
			<div class="col-md-1 vertical-border" ></div>
			<!-- <div class="border vertical nbb" style="height:45px;width:3%;">&nbsp;</div> -->
			<div class="pull-left text-center row" style="width:48%;">
				<span>
					<?php echo lang('UNPAID_INVOICES'); ?>(<!-- ko text:unpaid_invoices --><!-- /ko -->)
				</span>
				<h3 class="nm" style="font-weight:400;"><!-- ko text:unpaid_invoices_amount --><!-- /ko --><?php echo CURRENCY; ?></h3>
			</div>
			<div class="clearfix"></div>
		</div>
		*/ ?>
		<hr class="nm">
		<!-- <div class="border">&nbsp;</div> -->
		<div class="pull-left">
			<h6>
				<?php echo lang('EXPENSES'); ?>&nbsp;(<!-- ko text:expenses_count --><!-- /ko --></span>)&nbsp;:&nbsp;<!-- ko text:expenses_amount --><!-- /ko -->&nbsp;<?php echo CURRENCY; ?></span>
			</h6>
		</div>		
		<div class="clearfix"></div>
	</div>
	<!-- /ko -->
	<!-- ko if:is_edit_mode()==true -->
	<div class="container" style="height:134px">
		<div class="col-md-12 np form-group input-group">
			<h4><?php echo lang('INVOICE'); ?></h4>
			<select class="form-control input-sm" data-bind="value:invoice_type" id="invoice_type">
				<option value=""><?php echo lang('SELECT_ANY_INVOICE_TYPE'); ?></option>
				<?php
					foreach ($invoice_types as $key=>$val)
					{
						echo '<option value="' . $key . '">' . $val . '</option>';
					}
				?>
			</select>
		</div>
		<!-- ko if:invoice_type()=="A" -->
		<div class="col-md-6 col-lg-6 npl form-group input-group">
			<input type="text" maxlength="10" data-bind="value:hourly_rate,numberOnly:true" class="form-control"/>
			<span class="input-group-addon h3">/hr</span>
		</div>
		<!-- /ko -->
	</div>
	<!-- /ko -->
</div>
<div class="clearfix"></div>
<div class="sep">&nbsp;</div>
<div class="sep">&nbsp;</div>
<div class="sep">&nbsp;</div>
