<?php if ( ! defined('BASEPATH')) exit('No direct script access allowed');

	set_cache_header();
	// $periodFormat	= $this->ot_app->get('period_format') ? '.' : ':';
?>
<div id="timesheet-container" class="dib fh">
	<div class="page-header-bar">
		<div id="alert_message" class="ac col-md-9 fix-it"></div>
		<span class="title"><?php echo lang('TIME_SHEET_TITLE'); ?></span>
		<div class="btn-group btn-toggle" style="margin:9px;"> 
			<button class="btn btn-sm " data-bind="click:swap_view(0), css:{'btn-primary active':view()==0, 'btn-default':view()!=0}"><?php echo lang('DAY'); ?></button>
			<button class="btn btn-sm " data-bind="click:swap_view(1), css:{'btn-primary active':view()==1, 'btn-default':view()!=1}"><?php echo lang('WEEK'); ?></button>
			<button class="btn btn-sm " data-bind="click:swap_view(2), css:{'btn-primary active':view()==2, 'btn-default':view()!=2}"><?php echo lang('CALENDAR'); ?></button>
		</div>
		<ul class="btns list-inline" style="z-index:10;">
			<li>
				<?php if(!is_member($role)): ?>
				<a href="javascript:;" class="selected" title="<?php echo lang('MY_TIMESHEET'); ?>">
					<i class="icon-calendar icon-metro img-circle"></i>
				</a>
				<?php if ($isAR): ?>
				<a href="javascript:;" data-bind="click:Otime.Menu.loadURL('timesheet/approve', true)" title="<?php echo lang('APPROVE'); ?>">
					<i class="icon-ok icon-metro img-circle"></i>
				</a>
				<?php endif; ?>
				<a href="javascript:;" data-bind="click:Otime.Menu.loadURL('timesheet/team', true)" title="<?php echo lang('MY_TEAM'); ?>">
					<i class="icon-group icon-metro img-circle"></i>
				</a>
				<?php endif; ?>
			</li>
		</ul>
	</div>
	<div id="list-container" class="dib fw fh" data-bind="css:{'dayVw':(view()==0)}">
		<div class="row nm fw pr" style="z-index:2;">
			<!-- ko if:view()==2 -->
			<div class="col-xs-6" data-bind="with:calendar_view">
				<div class="col-xs-6">
					<div class="btn-group">
						<button class="btn btn-sm btn-default" data-bind="click:prevNext('-')">&nbsp;<i class="icon-chevron-left"></i>&nbsp;</button>
						<button class="btn btn-sm btn-default" data-bind="click:prevNext('+')">&nbsp;<i class="icon-chevron-right"></i>&nbsp;</button>
					</div>
					<button class="btn btn-sm btn-default" data-bind="click:gotoToday">&nbsp;<?php echo lang('TODAY'); ?>&nbsp;</button>
				</div>
				<h4 class="col-xs-6" data-bind="text:title"></h4>
			</div>
			<!-- /ko -->
			<?php if(!is_member($role)): ?>
			<div class="col-xs-5 col-sm-4 col-md-3 user-filter" data-bind="if:$root.users_list().length">
				<select data-bind="foreach:$root.users_list, value:sel_user, chosen:{imgSelect:true}" class="select fw filters" style="margin-right:10px;">
					<option data-bind="value:user_id, text:disp_name, attr:{'data-img-src':user_image}"></option>
				</select>
			</div>
			<?php elseif($isAR): ?>
			<div class="col-xs-5 col-sm-4 col-md-3 user-filter" data-bind="with:calendar_view">
				<button class="btn btn-primary approval" data-bind="click:submit, visible:isApprove" type="button"><?php echo lang('SUBMIT_FOR_APPROVAL'); ?></button>
			</div>
			<?php endif; ?>
		</div>
		<!-- ko if:view()==0 -->
		<?php $this->load->view("timesheet/day_view"); ?>
		<!-- /ko -->
		<!-- ko if:view()==1 -->
		<?php $this->load->view("timesheet/week_view"); ?>
		<!-- /ko -->
		<!-- ko if:view()==2 -->
		<?php $this->load->view("timesheet/calendar_view"); ?>
		<!-- /ko -->
		<!-- ko if:isRightPane -->
		<div data-bind="with:task_detail"><?php
			// $this->load->view('tasks/right_pane_tmpl', array('module'=>'TS', 'task_priority'	=> $this->config->config['task_priority']));
			$this->load->view('tasks/mytasks_common', array('task_priority'	=> $this->config->config['task_priority'], 'module'=>'TS'));
		?></div>
		<!-- /ko -->
	</div>
</div>
<div id="entry-details" class="modal" role="dialog" aria-labelledby="myModalLabel" aria-hidden="true">
	<div class="modal-dialog">
    	<div class="modal-content">
			<div class="modal-header">
				<button class="close" aria-hidden="true" data-dismiss="modal" type="button" data-bind="click:cancelItem">x</button>
				<h3 class="modal-tittle nm">
					<span class="align-left"><?php echo lang('Time Entry'); ?></span>
					<span style="margin-right:8%" class="pull-right" data-bind="hours:{val:hours}"></span>
				</h3>
				<span data-bind="date:{date:entry_date}"></span>
			</div>
			<div class="modal-body">
				<div id="message"></div>
			<?php
				$this->load->view('timesheet/template', array('name'=>'time_entry', 'popup'=>true));
			?>
			</div>
			<div class="modal-footer">
				<button data-bind="click:save" class="btn btn-sm save no-border btn-success">
					<i class="icon icon-save icon-white"></i>&nbsp;&nbsp;<!-- ko if:_info.is_from_new --><?php echo lang("APPLY"); ?><!-- /ko --><!-- ko ifnot:_info.is_from_new --><?php echo lang("SAVE"); ?><!-- /ko -->
				</button>
				<button data-bind="click:cancelItem" class="btn btn-sm close_btn no-border btn-danger"><i class="icon icon-ban-circle icon-white"></i>&nbsp;&nbsp;<?php echo lang('CANCEL'); ?></button>
			</div>
		</div>
	</div>
</div>
<script id="timesheet-popup-tmpl" type="text/html">
	<?php $this->load->view('timesheet/timesheet_popup'); ?>
</script>
<?php $this->load->view('comments/timeline', array('module' => 'all', 'is_script_only' => '1')); ?>
<?php
	$jslang	= array();
	$tmp	= array(
		'ADVANCED_DATES_ARE_NOT_ALLOWED',
		'CONFIRM_DELETE'
	);
	foreach ($tmp as $val)
	{
		$jslang[$val]	= lang($val);
	}
?>
<script type="text/javascript">
	$(document).ready(function(){
		Otime.TimeSheet.language	= <?php echo json_encode($jslang); ?>;
	});
</script>
