<?php if ( ! defined('BASEPATH')) exit('No direct script access allowed');

require_once(FCPATH . '/application/libraries/base_table.php');

class Entity_daysoff_table extends Base_table {

	function __construct()
	{
		parent::__construct(array('tbl'=>'entity_daysoff', 'tbl_key'=>'entity_dayoff_id'));
    }

	public function store_default_data ($data)
	{
		$this->CI->load->database();
		
		
		if (empty($data['entity_id'])) {
			return false;
		}
		
		$dynamic_data  = array(
						'entity_id' 		=> $data['entity_id'],
						'repeat'			=> 1
					);

		$static_data = array(
							array(
								'dayoff_date' 		=> 	'2015-01-01',
								'description'		=> 	"New Year's Day"
							),
							array(
								'dayoff_date' 		=> 	'2015-09-07',
								'description'		=> 	"Labor Day"
							),
							array(
								'dayoff_date' 		=> 	'2015-10-12',
								'description'		=> 	"Columbus Day"
							),
							array(
								'dayoff_date' 		=> 	'2015-11-26',
								'description'		=> 	"Thanksgiving Day"
							),
							array(
								'dayoff_date' 		=> 	'2015-12-25',
								'description'		=> 	"Christmas Day"
							)
						);
						
		$values = array();
		
		foreach ($static_data as $val) {
			$values[] = array_merge($val,$dynamic_data);
		}
		
		return $this->CI->db->insert_batch($this->tbl, $values); 
	}
}
/* end of Entity_daysoff_table.php */
