<?php if ( ! defined('BASEPATH')) exit('No direct script access allowed');

?>
<div id="invoice-setting" class="box col-md-4 col-sm-4 nm" data-bind="css:{edit_box:_info.is_edit_mode}">
	<div class="panel panel-primary nb">
		<div class="panel-heading dib fw" style="padding:5px 15px;">
			<h4 class="dib vam" style="margin-top:5px;"><?php echo lang('TITLE_INVOICE'); ?></h4>
			<div class="pull-right" style="display:none" data-bind="visible:_info.is_edit_mode">
				<div class="btn-group">
					<button name="save" data-bind="click:save" class="btn btn-success btn-sm">
						<span class="icon-save icon-white"></span>&nbsp;<?php echo lang('SAVE'); ?>
					</button>
					<button name="cancel" data-bind="click:cancel" class="btn btn-primary btn-sm">
						<span class="icon-remove-sign icon-white"></span>
					</button>
				</div>
			</div>
			<div class="pull-right editbox" data-bind="hidden:_info.is_edit_mode">
				<button name="edit" class="btn btn-default btn-sm" data-bind="click:setEdit">
					<span class="icon-pencil"></span>&nbsp;<?php echo lang('EDIT'); ?>
				</button>
			</div>
			<div class="sep">&nbsp;</div>
		</div>
	</div>
	<div id="display" class="content" data-bind="hidden:_info.is_edit_mode, event:{dblClick:setEdit}">
		<div class="sub-title"><?php echo lang('FISCAL_YEAR_STARTS'); ?></div>
		<hr class="list-group-item-heading">
		<small>
			<strong data-bind="text:_info.fiscal_month"></strong>
		</small>
		<div class="sep">&nbsp;</div>
		<div class="sub-title"><?php echo lang('CUR_NUMBER_FORMAT'); ?></div>
		<hr class="list-group-item-heading">
		<small>
			<strong data-bind="html:_info.currency_html"></strong>
		</small>
		<div class="sep">&nbsp;</div>
		<div class="sub-title"><?php echo lang('ROUND_TIME'); ?></div>
		<hr class="list-group-item-heading">
		<small>
			<strong data-bind="text:_info.round_to_disp"></strong>
		</small>
		<div class="sep">&nbsp;</div>
		<!-- <div class="sub-title"><?php echo lang('INVOICE_TEMPLATE'); ?></div>
		<hr class="list-group-item-heading">
		<small>
			<strong data-bind="text:inv_template"></strong>
		</small> -->
	</div>
	<div id="invoice-edit" data-bind="visible:_info.is_edit_mode"></div>
</div>
