<?php	if ( ! defined('BASEPATH')) exit('No direct script access allowed');

	set_cache_header();
?>
<div id="projectcontainer" class="row nm">
	<div class="page-header-bar">
		<div id="alert_message" class="ac col-md-9 fix-it"></div>
		<span class=" title"><?php echo lang('PROJECTS'); ?></span>
		<ul class="btns list-inline">
			<?php if(!is_member($role)): ?>
			<li data-bind="visible:is_new_mode()==false && is_edit_mode()==false" class="img-circle icon40">
				<a href="javascript:;" title="<?php echo lang('ADD_NEW'); ?>" data-bind="click:addNew"><i class="icon-plus icon-metro img-circle"></i></a>
			</li>
			<?php endif; ?>
			<li data-bind="visible:is_new_mode">
				<a href="javascript:;" title="<?php echo lang('SAVE_ALL'); ?>" data-bind="click:saveAll"><i class="icon-save icon-metro img-circle"></i></a>
			</li>
			<li class="img-circle icon40 cancel" data-bind="visible:is_new_mode()==true || is_edit_mode()==true">
				<a href="javascript:;" title="<?php echo lang('CANCEL'); ?>" data-bind="click:cancel"><i class="icon-arrow-left icon-metro img-circle"></i></a>
			</li>
			<li class="img-circle icon40" data-bind="visible:is_new_mode()==false && is_edit_mode()==true">
				<a href="javascript:;" title="<?php echo lang('SHOW_COMMENTS'); ?>" data-bind="click:show_comments"><i class="icon-metro img-circle icon-ellipsis-horizontal"></i></a>
			</li>
			<!-- ko ifnot:is_edit_mode -->
				<li class="img-circle icon40" data-bind="visible:is_list_view">
					<a href="javascript:;" title="<?php echo lang('SWAP_VIEW'); ?>" data-bind="click:swap_view"><i class="icon-th icon-metro img-circle"></i></a>
				</li>
				<li class="img-circle icon40" data-bind="hidden:is_list_view">
					<a href="javascript:;" title="<?php echo lang('SWAP_VIEW'); ?>" data-bind="click:swap_view"><i class="icon-list icon-metro img-circle"></i></a>
				</li>
			<!-- /ko -->
		</ul>
	</div>
	<div id="body-container" class="col-lg-12 auto-height" data-bind="visible:(is_new_mode()==false && is_edit_mode()==false)">
		<div class="container npr cutter-top nml npl" style="margin-left:24px;" data-bind="visible:clients().length>0">
			<div class="col-md-12 pull-left row npr filter npl">
				<?php /*if(!is_member()) { ?>
				<!-- <div class="col-md-4 pull-right">
					<select class="form-control select filters " data-bind="options:users, optionsText:'user_name', optionsValue:'user_id', selectedOptions:sel_user, chosen:true" multiple="multiple" style="margin-right:10px;"></select>
				</div>  -->
				<?php //}*/ ?>
				<div class="col-md-4 pull-right">
					<select class="form-control select filters " data-bind="options:clients, optionsText:'client_name', optionsValue:'client_id', selectedOptions:sel_client, chosen:true" multiple="multiple" style="margin-right:10px;"></select>
				</div>
				<?php /* ?>
				<div class="col-md-4 pull-right">
					<select class="form-control select filters " data-bind="options:projects, optionsText:'project_name', optionsValue:'project_id', selectedOptions:sel_project, chosen:true" multiple="multiple" style="margin-right:10px;"></select>
				</div>
				<?php */ ?>
			</div>
		</div>	
		<div class="row auto-height" data-bind="hidden:is_edit_mode">
			<div id="list-container" class="col-lg-12 cutter-top">
				<div class="row col-md-12" data-bind="if:is_list_view">
					<div class="col-md-12" style="max-width:1000px;">
						<table cellpadding="0" cellspacing="0" border="0" class="table table-striped table-hover client-list-table" data-bind="visible:items().length>0">
							<thead>
								<tr>
									<th class="col-sm-4"><?php echo lang('NAME'); ?></th>
									<th class="col-sm-2 ar"><?php echo lang('ACTUAL'); ?></th>
									<th class="col-sm-2 ar"><?php echo lang('BUDGET'); ?></th>
									<th class="col-sm-2 ar"><?php echo lang('UNINVOICED'); ?></th>
									<th class="col-sm-2 ac">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</th>
								</tr>
							</thead>
							<tbody data-bind="foreach:items">
								<tr class="cp">
									<td data-bind="event:{dblclick:$parent.view}">
										<div class="row nm">
											<span class="" data-bind="title:{value:project.project_name,length:35}"></span>
											<label class="label label-default pull-right">
												<span class="pull-left" data-bind="visible:new_comments">
													<i class="icon-comments icon-white"></i>&nbsp;<!-- ko text:new_comments --><!-- /ko -->&nbsp;|&nbsp;
												</span>
												<span class="pull-left" data-bind="visible:members_count">
													<i class="icon-user icon-white"></i>&nbsp;<!-- ko text:members_count --><!-- /ko -->
												</span>
											</label>
										</div>
									</td>
									<td class="ar">
										<!-- ko if:budget()._info.actual_hours()>0 -->
											<!-- ko ifnot:budget()._info.isAmt -->
											<span data-bind="hours:{val:budget()._info.actual_hours, fix:0}"></span>&nbsp;Hrs
											<!-- /ko -->
											<!-- ko if:budget()._info.isAmt -->
											<span data-bind="currency:{val:budget()._info.actual_hours, fix:0}"></span>
											<!-- /ko -->
										<!-- /ko -->
										<!-- ko if:budget()._info.actual_hours()<=0 -->	
											<span>--</span>
										<!-- /ko -->
									</td>
									<td class="ar">
										<!-- ko if:budget()._info.total_hours()>0 -->
											<!-- ko ifnot:budget()._info.isAmt -->
											<span data-bind="hours:{val:budget()._info.total_hours, fix:0}"></span>&nbsp;Hrs
											<!-- /ko -->
											<!-- ko if:budget()._info.isAmt -->
											<span data-bind="currency:{val:budget()._info.total_hours, fix:0}"></span>
											<!-- /ko -->
										<!-- /ko -->
										<!-- ko if:budget()._info.total_hours()<=0 -->	
											<span>--</span>
										<!-- /ko -->
									</td>
									<td class="ar" data-bind="visible:user_role()!='M' && user_role()!='P'">
										<!-- ko if:_info.uninvoiced_hours()>0 -->	
										<span data-bind="html:_info.uninvoiced_hours"></span>&nbsp;<?php echo lang('HRS'); ?>
										<!-- /ko -->
										<!-- ko if:_info.uninvoiced_hours()<=0 -->	
										<span>--</span>
										<!-- /ko -->
									</td>
									<?php //if (!is_member()): ?>
									<td class="controls">	
										<div data-bind="visible:user_role()!='M'">								
											<div class="dropdown pull-right" data-bind="visible:_info.canAD">
												<label class="dropdown-toggle" data-toggle="dropdown" id="options">&nbsp;&nbsp;&nbsp;&nbsp;<i class="icon-cog">&nbsp;</i></label>
												<ul class="dropdown-menu" data-bind="visible:project.is_active()<=0">
													<li>
														<a href="javascript:;" data-bind="click:$parent.archiveItem(1)">
															<i class="icon-expand"></i>&nbsp;&nbsp;<?php echo lang('UNARCHIVE'); ?>
														</a>
													</li>
													<li data-bind="visible:(budget()._info.actual_hours()-0<=0)">
														<a href="javascript:;" data-bind="click:$parent.remove">
															<i class="icon-trash"></i>&nbsp;&nbsp;<?php echo lang('DELETE'); ?>
														</a>
													</li>
												</ul>
												<ul class="dropdown-menu" data-bind="visible:project.is_active()==1">
													<li>
														<a href="javascript:;" data-bind="click:$parent.archiveItem(0)">
															<i class="icon-archive"></i>&nbsp;&nbsp;<?php echo lang('ARCHIVE'); ?>
														</a>
													</li>
													<li data-bind="visible:(budget()._info.actual_hours()-0<=0)">
														<a href="javascript:;" data-bind="click:$parent.remove">
															<i class="icon-trash"></i>&nbsp;&nbsp;<?php echo lang('DELETE'); ?>
														</a>
													</li>
												</ul>
											</div>
											<label id="view" class="btn nm np edit btn-success pull-right" data-bind="click:$parent.view">&nbsp;<?php echo lang('View'); ?>&nbsp;</label>
										</div>
									</td>
									<?php //endif; ?>
								</tr>
							</tbody>
						</table>
						<div class="cutter-top text-center" data-bind="visible:items().length==0">
							<span class="well"><?php echo lang('NO_DATA_FOUND'); ?></span>
						</div>
					</div>
				</div>
					<div id="projectlist" class="row metro-list" data-bind="hidden:is_list_view">
					<!-- ko foreach:items -->
						<div style="color: #FFFFFF !important" data-bind="style:{backgroundColor:project.bg_color}" class="metro maso-item img-rounded container metro-item">
							<?php //if (!is_member()): ?>
								<div class="dropdown pull-right metro-edit row" data-bind="visible:user_role()!='M'">
									<a href="javascript:;" class="pull-left" data-bind="click:$parent.view, if:project.is_active()==1">
										<span class="icon-white icon-search"></span>&nbsp;<?php echo lang('VIEW'); ?>
									</a>
									<span class="separator pull-left" data-bind="if:(_info.canAD && project.is_active()==1)">|</span>
									<div class="pull-right" data-bind="visible:_info.canAD">
										<a href="javascript:;" class="dropdown-toggle" id="options" data-toggle="dropdown"><i class="icon-cog icon-white">&nbsp;</i></a>
										<ul class="dropdown-menu" data-bind="visible:project.is_active()<=0">
											<li>
												<a href="javascript:;" data-bind="click:$parent.archiveItem(1)">
													<i class="icon-expand"></i>&nbsp;&nbsp;<?php echo lang('UNARCHIVE'); ?>
												</a>
											</li>
											<li data-bind="visible:(budget()._info.actual_hours()-0<=0)">
												<a href="javascript:;" data-bind="click:$parent.remove">
													<i class="icon-trash"></i>&nbsp;&nbsp;<?php echo lang('DELETE'); ?>
												</a>
											</li>
										</ul>
										<ul class="dropdown-menu" data-bind="visible:project.is_active()==1">
											<li>
												<a href="javascript:;" data-bind="click:$parent.archiveItem(0)">
													<i class="icon-archive"></i>&nbsp;&nbsp;<?php echo lang('ARCHIVE'); ?>
												</a>
											</li>
											<li data-bind="visible:(budget()._info.actual_hours()-0<=0)">
												<a href="javascript:;" data-bind="click:$parent.remove">
													<i class="icon-trash"></i>&nbsp;&nbsp;<?php echo lang('DELETE'); ?>
												</a>
											</li>
										</ul>
									</div>
								</div>
							<?php //endif; ?>
							<div class="row nm" data-bind="event:{dblclick:$parent.view}">
								<h4 data-bind="title:{value:project.project_name}"></h4>
								<span class="pull-left" data-bind="title:{value:project.client_name}"></span>
							</div>
							<div class="row nm">
								<div class="col-sm-7 np" data-bind="with:budget, attr:{'class':($data.user_role()=='M')?'hide':'col-sm-7 np'}">
									<div data-bind="attr:{'class':'col-md-12 trans nm'}, visible:_info.actual_hours()>0, css:{'mt15':_info.total_hours()<=0}">
										<!-- ko ifnot:_info.isAmt -->
										<span class="h4" data-bind="hours:{val:_info.actual_hours, fix:0}"></span>&nbsp;Hrs
										<!-- /ko -->
										<!-- ko if:_info.isAmt -->
										<span class="h4" data-bind="currency:{val:_info.actual_hours, fix:0}"></span>
										<!-- /ko -->
										<span class="small"><?php echo lang('ACTUAL'); ?></span>
									</div>
									<div data-bind="attr:{'class':(_info.actual_hours()>0)?'col-md-12 trans nm':'col-md-12 trans nm npr mt15'}, visible:_info.total_hours()>0, css:{'horizontal-dot':_info.actual_hours()>0}">
										<!-- ko ifnot:_info.isAmt -->
										<span class="h4" data-bind="hours:{val:_info.total_hours, fix:0}"></span>&nbsp;Hrs
										<!-- /ko -->
										<!-- ko if:_info.isAmt -->
										<span class="h4" data-bind="currency:{val:_info.total_hours, fix:0}"></span>
										<!-- /ko -->
										<span class="small"><?php echo lang('BUDGET'); ?></span>
									</div>
								</div>
								<div class="col-sm-5 np ar" data-bind="visible:_info.uninvoiced_hours()>0">
									<div data-bind="visible:user_role()!='M' && user_role()!='P'">
										<b>&nbsp;<?php echo lang('UNINVOICED'); ?></b>
										<div class="clearfix"></div>
										<h3 class="no-margin col-sm-9 ar" data-bind="hours:{val:_info.uninvoiced_hours, fix:0}"></h3>
										<span style="padding-top: 5px;">&nbsp;<?php echo lang('HRS'); ?></span>
									</div>
								</div>
							</div>
							<div class="row nm" style="display:inline-block; position:absolute; right:10px; bottom:5px;">
								<label class="pull-left label nm" data-bind="visible:new_comments">
									<i class="icon-comments icon-white"></i>&nbsp;<!-- ko text:new_comments --><!-- /ko -->	
								</label>
								<label class="pull-left label nm" data-bind="visible:members_count">
									<i class="icon-user icon-white"></i>&nbsp;<!-- ko text:members_count --><!-- /ko -->
								</label>
							</div>
						</div>
					<!--  /ko -->
					<?php if(!is_member($role)): ?>
						<div class="metro maso-item img-rounded container metro-item cp metro-new project-add" data-bind="click:addNew, hidden:active()==0" id="add-project"></div>
					<?php endif; ?>
					</div>
				<div class="clearfix"></div>
			</div>
		</div>
	</div>
	<div class="row auto-height" data-bind="hidden:(is_new_mode()==false && is_edit_mode()==false)">
		<div id="view_layout" class="auto-height" data-bind="css:{'hide':is_edit_mode()==false,'col-lg-12':is_edit_mode()==true && is_comment_mode()==false,'col-lg-7 hidden-sm hidden-xs hidden-md':is_edit_mode()==true && is_comment_mode()==true}"></div>
		<div id="comment_layout" style="display: none;" class="page-slide width-inherit auto-height" data-bind="with:selectedItem, css:{set_slider:is_list_view()==false,'closed':is_edit_mode()==false,'col-lg-5 col-md-5 show':is_edit_mode()==true && is_comment_mode()==true}">
			<div id="comments-container" class="panel sidebar-fixed-header panel-custom nm">
				<div class="panel-body minrp" style="top:0;">
					<!-- ko if:$parent.rp_min_view --><?php
					$this->load->view('comments/timeline', array('module' => 'minimal', 'is_script_only' => '1'));
					?><!-- /ko -->
					<!-- ko ifnot:$parent.rp_min_view -->
					<!-- ko ifnot:$parent.is_detail -->
					<div class="tab-pane active"><?php
						$this->load->view('comments/timeline', array('module' => 'expanded', 'is_script_only' => '1'));
					?></div>
					<!-- /ko -->
					<!-- /ko -->
				</div>
			</div>
		</div>
	</div>
	<div class="page-slide col-lg-5 col-sm-12 col-xs-12 col-md-5 auto-height" data-bind="visible:isNewAdd()==1">
		<div id="addclient"></div>
	</div>
	<div class="page-slide col-lg-5 col-sm-12 col-xs-12 col-md-5 auto-height" data-bind="visible:isNewAdd()==2" style="z-index:1040">
		<div id="adduser"></div>
	</div>
	<div class="pagination col-lg-12 text-center" data-bind="hidden:(is_edit_mode() || finish())">
		<ul class="row" style="list-style:none;">
			<li>
				<a href="javascript:;" data-bind="click:load_more" class="well"><?php echo lang('SHOW_MORE'); ?></a>
			</li>
		</ul>
	</div>
	<div data-bind="hidden:is_edit_mode">
		<a id="active_box" class="project_box" data-bind="visible:active()==0 && active_count()>0">
			<div data-bind="click:refresh('1')"><?php echo lang('ACTIVE_PROJECTS'); ?>:&nbsp;<!-- ko text:active_count --><!-- /ko --></div>
		</a>
		<a id="archive_box" class="project_box" data-bind="visible:active()==1 && archive_count()>0">
			<div data-bind="click:refresh('0')"><?php echo lang('ARCHIVED_PROJECTS'); ?>:&nbsp;<!-- ko text:archive_count --><!-- /ko --></div>
		</a>
	</div>
</div>
<div id="user-panel" class="dn">
	<div class="panel sidebar-fixed-header panel-primary">
		<div class="panel-heading">
			<h3 class="panel-title dib"><?php echo lang('ADD_NEW_USER'); ?></h3>
			<div class="pull-right">
				<button class="btn btn-sm btn_save btn-success" data-bind="click:save">
					<i class="icon icon-save icon-white"></i>&nbsp;&nbsp;<?php echo lang('SAVE'); ?>
				</button>
				<button class="btn btn-primary btn-sm" data-bind="click:cancel"><span class="icon-remove-sign icon-white"></span></button>
			</div>
		</div>
		<div class="panel-body"></div>
	</div>
	<style>.modal-backdrop.in{display:none;}</style>
</div>
<?php
	$jslang	= array();
	$tmp	= array(
		'CLIENT_NAME_CANT_EMPTY',
		'CONTACT_NAME_CANT_EMPTY',
		'DELETE_CLIENT_CONFIRM_MSG',
		'CONTACTS',
		'CONTACT',
		'SUCCESS_SAVE',
		'INVALID_EMAIL',
		'DELETE_PROJECT_CONFIRM_MSG'
	);
	foreach ($tmp as $val)
	{
		$jslang[$val]	= lang($val);
	}
	$jslang['CONTACT_NAME_UNIQUE']	= lang('MUST_BE_UNIQUE', lang('CONTACT_NAME'));

	$this->load->view('comments/timeline', array('module' => 'all', 'is_script_only' => '1'));
?>
<script type="text/javascript">
$(document).ready(function(){
	Otime.Project.budget_types	= <?php echo json_encode($this->config->config['budget_type']); ?>;
	Otime.Project.invoice_types	= <?php echo json_encode($this->config->config['invoice_types']); ?>;
	Otime.Project.roles			= <?php echo json_encode($this->config->config['user_role']); ?>;
	Otime.Client.language		= <?php echo json_encode($jslang); ?>;
	Otime.Project.language		= <?php echo json_encode($jslang); ?>;
	Otime.Users.user_roles		= <?php echo json_encode($user_role); ?>;
});
</script>
