<?php	if ( ! defined('BASEPATH')) exit('No direct script access allowed');

	$is_ajax_request	= $this->input->is_ajax_request();

	if (!$is_ajax_request)
	{
		$this->load->view("header");
	}

	$date_filter_this	= array(
		'ALL' => 'ALL',
		'TO' => 'TODAY',
		'TW' => 'THIS_WEEK',
		'TS' => 'THIS_SEMI_MONTHLY',
		'TM' => 'THIS_MONTH'
	);
	$date_filter_last	= array(
		'YE' => 'YESTERDAY',
		'LW' => 'LAST_WEEK',
		'LS' => 'LAST_SEMI_MONTHLY',
		'LM' => 'LAST_MONTH'
	);
?>
<script id="filter_data" type="text/html">
<div class="filters" data-bind="visible:is_visible, attr:{'class':'filters ft'+key}, css:{'active':key==$parent.filter()}, click:$parent.selectFilter">
	<span class="count" data-bind="text:count"></span>
	<span class="text" data-bind="text:value"></span>
</div>
</script>
<div id="mytasks-container" class="container mytasks np fw fh" style="display:none;">
	<?php /* ?><div class="page-header-bar">
		<div class="ac col-md-9 fix-it" id="alert_message"></div>
		<span class="title"><?php echo lang('MY_TASKS'); ?></span>
	</div>
	*/?><div style="margin:0 0 10px;">
		<!-- ko with:filters().over_due --><!-- ko template:{name:'filter_data'} --><!-- /ko --><!-- /ko -->
		<!-- ko with:filters().due_today --><!-- ko template:{name:'filter_data'} --><!-- /ko --><!-- /ko -->
		<!-- ko with:filters().due_week --><!-- ko template:{name:'filter_data'} --><!-- /ko --><!-- /ko -->
		<!-- ko foreach:Object.values(filters()) -->
			<!-- ko if:(key != 'over_due' && key != 'due_today' && key != 'due_week') -->
				<!-- ko template:{name:'filter_data'} --><!-- /ko -->
			<!-- /ko -->
		<!-- /ko -->
	</div>
	<div class="dib pr">
		<div class="col-sm-12 col-md-8 col-lg-8">
			<table class="table table-hover">
				<colgroup>
					<col style="width:50px;" class="">
					<col style="width:25px;" class="">
					<col style="width:25px;" class="">
					<col style="width:auto;" class="">
					<col style="width:120px;" class="">
					<col style="width:100px;" class="">
					<col style="width:100px;" class="">
				</colgroup>
				<thead>
					<tr class="unselectable">
						<th class="ac">#</th>
						<th class="ac"><span class="icon icon-paperclip"></span></th>
						<th class="ac"><span class="icon icon-comments"></span></th>
						<th class="nbr">Task Name</th>
						<th class="nbr">Project</th>
						<th class="nbr">Status</th>
						<th class="nbr wnw">Due Date</th>
					</tr>
				</thead>
				<tbody data-bind="foreach:listing">
					<tr data-bind="attr:{'title':tooltip}, css:{'active':$parent.selectedItem() == $data}">
						<td class="ar cp" data-bind="click:$parent.edit">
							<span class="text-danger h5 b pull-left nm" data-bind="visible:task_priority()==1" title="High Priority" style="">&#8593</span>
							<span class="text-success h5 b pull-left nm" data-bind="visible:task_priority()==3" title="Low Priority" style="">&#8595</span>
							<!-- ko text:task_number --><!-- /ko -->
						</td>
						<td class="cp" data-bind="if:has_attachments, click:$parent.showAttachments"><span class="icon icon-paperclip"></span></td>
						<td class="cp" data-bind="if:has_comments, click:$parent.showComments"><span class="icon icon-comments"></span></td>
						<td class="cp" data-bind="text:name, click:$parent.edit"></td>
						<td class="cp" data-bind="click:$parent.edit">
							<span class="pjcolor" data-bind="style:{'border-left-color':project_color}"></span><!-- ko text:project_name --><!-- /ko -->
						</td>
						<td class="cp" data-bind="with:task_status, click:$parent.edit">
							<span data-bind="text:name, style:{backgroundColor:bg_color, color:text_color}" class="label status"></span>
						</td>
						<td class="ac cp" data-bind="click:$parent.edit">
							<span data-bind="duedate:{date:finish_date,noDiff:true}"></span>
						</td>
					</tr>
				</tbody>
				<tfoot data-bind="hidden:listing().length"><tr><td class="ac" colspan="7"><?php echo lang('NO_DATA_FOUND'); ?></td></tr><tfoot>
			</table>
		</div><?php
			$this->load->view('tasks/mytasks_common');
			// $this->load->view('comments/timeline', array('module' => 'all', 'is_script_only' => '1'));
	?></div>
</div>
<style type="text/css">
.page-container {
	top: 40px;
}
#right-pane {
	height: calc(100% - 40px);
	top: 40px;
}
</style>
<?php
	if (!$is_ajax_request)
	{
		$this->load->view("footer");
	}
	$jslang	= array();
?>
<script type="text/javascript">
$(document).ready(function(){
	Otime.Tasks.loadTemplates(function(){
		window.Otime.load("MyTasks");
	});
});
</script>
